<template>
  <div class="current-state container" id="container">
   <div class="headline">{{ $t("message.statistics.currentState") }}</div>
   <span class="content">
   <button class="btn btn-light" :class="{ 'active': category}" v-on:click="showCategory()">{{ $t("message.statistics.datasetsPerCategory") }}</button>
   <button class="btn btn-light" :class="{ 'active': country}" v-on:click="showCountry()"> {{ $t("message.statistics.datasetsPerCountry") }} </button>
   <!-- <button class="btn btn-light" :class="{ 'active': catalogue}" v-on:click="showCatalogue()"> Catalogue </button> -->
   <button class="btn btn-light" :class="{ 'active': countryCatalogue}" v-on:click="showCountryCatalogue()"> {{ $t("message.statistics.datasetsPerCountryAndCatalogue") }}</button>
   </span>
   <!-- <span class="filter">
   <button class="btn btn-light" :class="{ 'active': isactive}" v-on:click="showTable()"><i class="fas fa-table"></i> </button>
   <button class="btn btn-light" :class="{ 'active': !isactive}" v-on:click="showPie()"><i class="fas fa-chart-pie"></i> </button>
   </span> -->
   <br>
    <!-- <chart-container v-if="table"></chart-container>
    <pie-container v-if="pie"></pie-container> -->
    <chart-container v-if="category"></chart-container>
    <catalogues v-if="catalogue"></catalogues>
    <countries v-if="country"></countries>
    <country-catalogue v-if="countryCatalogue"></country-catalogue>
  </div>
</template>

<script>
export default {
  name: 'CurrentState',
  data () {
    return {
      isactive: true,
      table: true,
      pie: false,
      catalogue: false,
      country: false,
      category: true,
      countryCatalogue: false
    }
  },
  methods: {
    showTable () {
      this.isactive = true
      this.pie = false
      this.table = true
      return this.pie && this.table
    },
    showPie () {
      this.isactive = false
      this.pie = true
      this.table = false
      return this.pie && this.table
    },
    showCatalogue () {
      this.catalogue = true
      this.country = false
      this.category = false
      this.countryCatalogue = false
      return this.catalogue
    },
    showCountry () {
      this.catalogue = false
      this.country = true
      this.category = false
      this.countryCatalogue = false
      return this.country
    },
    showCategory () {
      this.catalogue = false
      this.country = false
      this.category = true
      this.countryCatalogue = false
      return this.category
    },
    showCountryCatalogue () {
      this.catalogue = false
      this.country = false
      this.category = false
      this.countryCatalogue = true
      return this.countryCatalogue
    }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>

#container{
  font-family: 'Avenir', Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  background-color: #ffff;
}

.content {
}

.filter {
  float: right;
  padding-right: 17px;
  padding-bottom: 20px;

}
.headline {
  font-weight: 500;
  font-size: 18px;
  padding-bottom: 20px;
}

</style>
